summaryrefslogtreecommitdiffstats
path: root/base/deploy/scripts/pkidaemon
diff options
context:
space:
mode:
authorMatthew Harmsen <mharmsen@redhat.com>2012-08-01 21:36:28 -0700
committerMatthew Harmsen <mharmsen@redhat.com>2012-08-02 10:43:30 -0700
commite0a57d039dec42526e5f3241a0439b04f17d4ee5 (patch)
treeb95183bb6751ec8f2ef1eaa6053bb99d3200fa6b /base/deploy/scripts/pkidaemon
parentf3673e8b8cc44fa15a4829784e6ea8e45d764f91 (diff)
downloadpki-e0a57d039dec42526e5f3241a0439b04f17d4ee5.tar.gz
pki-e0a57d039dec42526e5f3241a0439b04f17d4ee5.tar.xz
pki-e0a57d039dec42526e5f3241a0439b04f17d4ee5.zip
PKI Deployment Scriptlets
* PKI TRAC Ticket #279 - Dogtag 10: Fix remaining 'cloning' issues in 'pkispawn' . . . * PKI TRAC Ticket #280 - Dogtag 10: Fix remaining issues in 'pkidestroy' related to deletion of more than one instance . . . * PKI TRAC Ticket #281 - Dogtag 10: Fix 'pkidaemon'/'operations' issue to handle individual instance . . .
Diffstat (limited to 'base/deploy/scripts/pkidaemon')
-rwxr-xr-xbase/deploy/scripts/pkidaemon14
1 files changed, 14 insertions, 0 deletions
diff --git a/base/deploy/scripts/pkidaemon b/base/deploy/scripts/pkidaemon
index 02b02370f..74f69e968 100755
--- a/base/deploy/scripts/pkidaemon
+++ b/base/deploy/scripts/pkidaemon
@@ -56,6 +56,20 @@ case $command in
stop
exit $?
;;
+ start_all)
+ start_all
+ exit $?
+ ;;
+ restart_all)
+ restart_all
+ exit $?
+ ;;
+ stop_all)
+ echo "An exit status of '143' refers to the 'systemd' method of using"\
+ "'SIGTERM' to shutdown a Java process and can safely be ignored."
+ stop_all
+ exit $?
+ ;;
condrestart|force-restart|try-restart)
[ ! -f ${lockfile} ] || restart
echo "The '${command}' action is TBD."